@import "../../../global-styles.scss";

.page-container{
  max-width: $page-width;
  margin: auto;
  margin: 50px auto;

}
.blog-and-author-flex-container{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;

}
.bolg-details-container{
  width: 65%;
  -webkit-box-shadow: -1px 2px 7px 1px rgba(0,0,0,0.11);
  -moz-box-shadow: -1px 2px 7px 1px rgba(0,0,0,0.11);
  box-shadow: -1px 2px 7px 1px rgba(0,0,0,0.11);

  @media screen and (max-width:$screen-sm-min){
    width: 100%;
  }
}
.author-container{
  width: 35%;
  background: #f9ece6;
  max-height: 700px;
  @media screen and (max-width:$screen-sm-min){
    width: 100%;
  }

}
.bolg-detail-image-container{
  display: flex;
  justify-content: center;
  @extend %container-90p;
  //margin-top: 34px;

  img{
    max-width: 100%;
  }
}

.blog-post-title{
  width: 90%;
  margin: auto;
  padding: 14px 0px;
  font-size: 1em;
  color: #9d9595;

}
.icons-container{
  width: $icons-width;
  padding: 0px 5px;
  display: inline-block;
  cursor: pointer;
  img{
    width: 100%;
  }

}
.details-section-2{
  @extend %container-90p;
}
.icons-and-date-container{
  display: flex;
  justify-content: space-between;
}
.description{
  color: $font-color2;
}
.comment-line{
  display: flex;
  flex-direction: row;
  font-weight: 500;
  cursor: pointer;
  padding: 12px 0px;
}
.comment-line:before{
  content: "";
  flex: 1 1;
  border-bottom: 1px solid #c6c6c6;
  margin: auto 10px auto 0px;
}
.comment-line:after {
  content: "";
  flex: 1 1;
  border-bottom: 1px solid #c6c6c6;
  margin: auto 0px auto 10px;

}
.commnet-user-name-highligh{
  width: 40px;
    height: 40px;
    border-radius: 180px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #dacf91;
    color: white;
    margin-right: 12px;
    font-weight: bold;
}
.comment-item-container{
    display: flex;
    align-items: center;
    border-bottom: 1px solid #f3f1f1;
    padding-bottom: 7px;
}
.comment-author-and-date{
  color: $font-color2;
  font-size: 0.9em;
  span{
    float: right;
  }
}
.width-100p{
  width: 100%;
}
.add-comment-form-container{
  // height: 0;
  // overflow: hidden;
  @extend %form-global-inputs;
}
.post-button-cotainer{
  text-align: center;
  margin: 15px;
}
.comments-container{
  max-height: 300px;
  overflow-y: auto;

}
.comments-container::-webkit-scrollbar {
  width: 1px;
}

/* Track */
.comments-container::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
.comments-container::-webkit-scrollbar-thumb {
  background: #888;
}

/* Handle on hover */
.comments-container::-webkit-scrollbar-thumb:hover {
  background: #555;
}
.form-errors{
  @extend %form-error-messages;
}
.author-image-container{
    width: 160px;
    margin: 50px auto 10px auto;

    img{
      width: 100%;
      border-radius: 320px;
    }
}
.author-name{
    text-align: center;
    font-family: 'Satisfy', cursive;
    font-size: 1.5em;
    font-weight: bold;
    color: #8e8c8c;
}
.author-description{
  text-align: center;
    /* padding: 36px; */
    width: 90%;
    margin: auto;
}
.clipboard{
    position: absolute;
    width: 180px;
    background: #00000085;
    color: white;
    padding: 6px;
    font-size: 0.8em;
    border-radius: 7px;
    text-align: center;
    bottom: -29px;
    left: -82px;
}
.position-relative{
  position: relative;

}
